# Update a risk

Update a risk

Endpoint: PUT /gateway/chaos/manager/api/v3/risks/{identity}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `projectIdentifier` (string)
    project id to access the resource

## Path parameters:

  - `identity` (string, required)
    The identifier for the risk

## Request fields (application/json):

  - `category` (string)

  - `description` (string)

  - `identity` (string)

  - `isDefault` (boolean)

  - `name` (string)

  - `supportedInfra` (array)

  - `tags` (array)

## Response 200 fields (application/json):

  - `accountID` (string, required)

  - `activeRisk` (object)

  - `activeRisk.failedProbes` (integer)

  - `activeRisk.passedProbes` (integer)

  - `category` (string)

  - `description` (string)

  - `identity` (string)

  - `isDefault` (boolean)

  - `lastDetectedAt` (integer)
    PassiveRiskCounter      PassiveRiskCounter bson:"passiveRisk" json:"passiveRisk" //TODO: To be added later

  - `name` (string, required)

  - `orgID` (string)

  - `projectID` (string)

  - `supportedInfra` (array)
    Enum: "Kubernetes", "KubernetesV2", "Windows", "Linux", "CloudFoundry", "Container"

  - `tags` (array)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


